# This package uses modified QT libraries.
# so don't check rpath
%define __arch_install_post /usr/lib/rpm/check-buildroot

Summary: HTML to PDF generation application
Name: wkhtmltopdf
Version: 0.10.0_rc2
Release: 8%{?dist}
Epoch:   1
License: GPLv3+
Group: System Environment/Libraries
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Url: http://code.google.com/p/wkhtmltopdf/
# Upstream don't host old versions :(
Source0: http://wkhtmltopdf.googlecode.com/files/%{name}-%{version}.tar.bz2
Patch0:  short-anchors.patch
Patch1:  notocintoc.patch
Patch2:  align-page-header.patch

%define qtdir /%{_libdir}/wkhtmltopdf/

%if "%{_lib}" == "lib64"
%define platform linux-g++-64
%else
%define platform linux-g++
%endif

Requires(post): fileutils /etc/ld.so.conf.d
Requires(postun): fileutils /etc/ld.so.conf.d
Requires: wkhtmltopdf-qt >= 4.8.0-6.git20111107
Requires: ghostscript-fonts

BuildRequires: wkhtmltopdf-qt-devel >= 4.8.0-6.git20111107

# bundles do not provide any QT libraries
%{?filter_setup:
%filter_from_requires /libQt.*.so.*/d
%filter_setup
}

%description
Simple utility to convert HTML to PDF using the web-kit rendering engine,
and QT.

%package devel
Summary: Development files for the %{name}
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}

%description devel
This package contains the files necessary to develop
applications using %{name}.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build

%{qtdir}/bin/qmake

make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make install INSTALL_ROOT=%{buildroot}/%{qtdir}

mkdir -p %{buildroot}/%{_bindir}
mv %{buildroot}/%{qtdir}/bin/* %{buildroot}/%{_bindir}/.
#mv %{buildroot}/%{qtdir}/lib/* %{buildroot}/%{qtdir}
#rm -rf %{buildroot}/%{qtdir}/lib

# write config for ldconfig
install -d %{buildroot}%{_sysconfdir}/ld.so.conf.d

cat > %{buildroot}%{_sysconfdir}/ld.so.conf.d/wkhtmltopdf-%{_arch}.conf << EOF
# include library path, needed for wkhtmltopdf to execute
%{qtdir}/lib/
EOF

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING COPYING.LGPL README_WKHTMLTOIMAGE README_WKHTMLTOPDF
%{qtdir}/
%{_bindir}/wkhtmltoimage
%{_bindir}/wkhtmltopdf
%exclude %{qtdir}/include
%{_sysconfdir}/ld.so.conf.d/wkhtmltopdf-%{_arch}.conf

%files devel
%defattr(-,root,root,-)
%{qtdir}/include

%changelog
* Tue Jul 16 2013 Jeff Fearn <jfearn@redhat.com> 0.10.0_rc2-8
- Bump epoch.

* Tue Jul 16 2013 Jeff Fearn <jfearn@redhat.com> 0.10.0_rc2-7
- Fix header title sync. BZ #912550

* Fri Jan 25 2013 Jeff Fearn <jfearn@redhat.com> 0.10.0_rc2-6
- Fix page numbers.

* Mon Jan 21 2013 Jeff Fearn <jfearn@redhat.com> 0.10.0_rc2-5
- Fix bundling.

* Thu Dec 07 2012 Jeff Fearn <jfearn@redhat.com> 0.10.0_rc2-4
- Fix RPMDiff multilib errors.

* Mon Dec 04 2012 Jeff Fearn <jfearn@redhat.com> 0.10.0_rc2-3
- Fix rpmlint warnings.

* Thu Aug 25 2011 Jeff Fearn <jfearn@redhat.com> 0.10.0_rc2-2
- Remove ExclusiveArch.

* Tue Aug 23 2011 Jeff Fearn <jfearn@redhat.com> 0.10.0_rc2-1
- New upstream.

* Wed Aug 11 2010 Jethro Carr <jethro.carr@amberdms.com> 0.9.9-1
- Upgraded to stable release 0.9.9
* Fri Mar 26 2010 Jethro Carr <jethro.carr@amberdms.com> 0.9.5-1
- Created wkhtmltopdf package for version 0.9.5

